#include "Utils.h"

namespace ofxVariableLab {

void getVFlip(const VFlipBehaviour & vFlipBehaviour,
              const glm::mat4 & orientationMatrix,
              VFlipState & vFlip){
    switch(vFlipBehaviour){

     case V_FLIP_ONCE_AUTO: {
         if(vFlip != V_FLIP_UNKNOWN){
             break;
         }
     }

     case V_FLIP_ALWAYS_AUTO: {
         if(orientationMatrix == glm::mat4(1)){
             vFlip = V_FLIP_OFF;
         }else{
             vFlip = V_FLIP_ON;
         }
         break;
     }

     case V_FLIP_ALWAYS_ON: {
         vFlip = V_FLIP_ON;
         break;
     }

     case V_FLIP_ALWAYS_OFF: {
         vFlip = V_FLIP_OFF;
         break;
     }
    }
}
//getVFlip(settings.vFlipBehaviour,
//ofGetCurrentOrientationMatrix(),
//vFlip);
//if(vFlip == V_FLIP_OFF){
//ofTranslate(pl * magic, (pt * magic) + (-1 * h), 0);
////ofTranslate(pl * magic, -1 * pt * magic, 0);
//}else{
//ofTranslate(pl * magic, -1 * pt * magic, 0);
//}
}
